🌱 Retrieve party information
curl --request GET \
--url https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/parties/{email} \
--header 'Authorization: Bearer <token>'import requests
url = "https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/parties/{email}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/parties/{email}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email": "<string>",
"legalParty": {
"businessSectors": [
"FIN_INST_BANK_CREDIT"
],
"companyName": "<string>",
"customersLocations": [
"<string>"
],
"customersPaymentTypes": [
"CASH"
],
"description": "<string>",
"legalFormType": "AKTIENGESELLSCHAFT",
"registeredAddress": {
"city": "<string>",
"countryIso2": "<string>",
"houseNo": "<string>",
"street": "<string>",
"zip": "<string>"
},
"registrationNumber": "<string>",
"statute": {
"description": "<string>",
"fileType": "PICTURE",
"title": "<string>",
"id": 123,
"url": "<string>"
},
"symbol": "<string>"
},
"naturalParty": {
"firstName": "<string>",
"lastName": "<string>",
"nationality": "<string>",
"residentialAddress": {
"city": "<string>",
"countryIso2": "<string>",
"houseNo": "<string>",
"street": "<string>",
"zip": "<string>"
},
"salutation": "UNKNOWN",
"birthDate": "2023-12-25",
"image": {
"description": "<string>",
"fileType": "PICTURE",
"title": "<string>",
"id": 123,
"url": "<string>"
},
"kyc": {
"caseId": "<string>",
"caseResult": [
{
"description": "<string>",
"fileType": "PICTURE",
"title": "<string>",
"id": 123,
"url": "<string>"
}
],
"kycProvider": "POSTIDENT",
"kycResult": "success"
},
"links": [
{
"title": "<string>",
"url": "<string>",
"id": 123,
"insertDate": "2023-11-07T05:31:56Z",
"modifyDate": "2023-11-07T05:31:56Z"
}
],
"mobile": "<string>",
"pepFlag": true,
"phoneNumber": "<string>"
}
}Party Management
Party
This API endpoint allows you to fetch detailed information about a specific party. By providing the party’s email, you can access party attributes, contact details, and other relevant data.
GET
/
omni-omni
/
v1
/
parties
/
{email}
🌱 Retrieve party information
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.